#pragma once

#include <Image.h>

#include "ModelInfo.h"

class ItemType : public virtual Framework::ReferenceCounter
{
protected:
    const int id;
    const ModelInfo model;
    Framework::Image* icon;
    Framework::Text name;
    Framework::Text tooltipUIML;

public:
    ItemType(int id,
        ModelInfo model,
        Framework::Text name,
        Framework::Text tooltipUIML);
    ~ItemType();

    int getId() const;
    void setBild(Framework::Image* icon);
    Framework::Image* zIcon() const;
    Framework::Model3DData* getItemModel() const;
    Framework::Model3DTexture* getItemTextur() const;
    const Framework::Text& getName() const;
    const Framework::Text& getTooltipUIML() const;
    float getSize() const;
};